# DataExchange
TKSTEPBase
StepShape

# StepShape_FaceBound Class Reference

`#include <StepShape_FaceBound.hxx>`

Inheritance diagram for StepShape_FaceBound:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_FaceBound ()
| Returns a FaceBound .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Loop)&aBound, const Standard_Boolean aOrientation)
Standard_EXPORT void | SetBound (const Handle(StepShape_Loop)&aBound)
Standard_EXPORT Handle_StepShape_Loop | Bound () const
Standard_EXPORT void | SetOrientation (const Standard_Boolean aOrientation)
Standard_EXPORT Standard_Boolean | Orientation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_Loop | bound
Standard_Boolean | orientation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_FaceBound::StepShape_FaceBound | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_Loop StepShape_FaceBound::Bound | ( |  | ) | const

Standard_EXPORT const StepShape_FaceBound::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem. Reimplemented in StepShape_FaceOuterBound.

virtual Standard_EXPORT void StepShape_FaceBound::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Loop)& | aBound,
|  | const Standard_Boolean | aOrientation
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_FaceBound::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Boolean StepShape_FaceBound::Orientation | ( |  | ) | const

Standard_EXPORT void StepShape_FaceBound::SetBound | ( | const Handle(StepShape_Loop)& | aBound | ) |

Standard_EXPORT void StepShape_FaceBound::SetOrientation | ( | const Standard_Boolean | aOrientation | ) |

## Field Documentation

Handle_StepShape_Loop StepShape_FaceBound::bound `[private]`

Standard_Boolean StepShape_FaceBound::orientation `[private]`

The documentation for this class was generated from the following file:

- StepShape_FaceBound.hxx